﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type="text/javascript">
                google.load("visualization", "1", { packages: ["corechart"] });
                google.setOnLoadCallback(drawChart);
                function drawChart() {
                    var options = {
                        title: 'USA City Distribution',
                        width: 600,
                        height: 400,
                        bar: { groupWidth: "95%" },
                        legend: { position: "none" },
                        isStacked: true
                    };
                    $.ajax({
                        type: "POST",
                        url: "CS.aspx/GetChartData",
                        data: '{}',
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (r) {
                            var data = google.visualization.arrayToDataTable(r.d);
                            var chart = new google.visualization.LineChart($("#chart")[0]);
                            chart.draw(data, options);
                        },
                        failure: function (r) {
                            alert(r.d);
                        },
                        error: function (r) {
                            debugger;
                            alert(r.d);
                        }
                    });
                }
            </script>
            <div id="chart" style="width: 900px; height: 500px;">
            </div>
        </div>
    </form>
</body>
</html>
