﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Web.Services;
using System.Configuration;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    [WebMethod]
    public static List<object> GetChartData()
    {
        string query = "SELECT TOP 5 OrderDate,AVG(Freight) 'Freight' FROM Orders GROUP BY OrderDate";
        string constr = ConfigurationManager.ConnectionStrings["dbsc"].ConnectionString;
        List<object> chartData = new List<object>();
        chartData.Add(new object[] { "time", "average" });
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query))
            {
                cmd.CommandType = CommandType.Text;
                cmd.Connection = con;
                con.Open();
                using (SqlDataReader sdr = cmd.ExecuteReader())
                {
                    while (sdr.Read())
                    {
                        chartData.Add(new object[] { Convert.ToDateTime(sdr["OrderDate"]).ToShortDateString(), sdr["Freight"] });
                    }
                }
                con.Close();
                return chartData;
            }
        }
    }
}